Package org.thymeleaf.extras.springsecurity5.dialect

## Class SpringSecurityDialect

- Object
- - org.thymeleaf.dialect.AbstractDialect
  - - org.thymeleaf.extras.springsecurity5.dialect.SpringSecurityDialect

- All Implemented Interfaces:
    `org.thymeleaf.dialect.IDialect`, `org.thymeleaf.dialect.IExecutionAttributeDialect`, `org.thymeleaf.dialect.IExpressionObjectDialect`, `org.thymeleaf.dialect.IProcessorDialect`

      public class SpringSecurityDialect
      extends org.thymeleaf.dialect.AbstractDialect
      implements org.thymeleaf.dialect.IProcessorDialect, org.thymeleaf.dialect.IExpressionObjectDialect, org.thymeleaf.dialect.IExecutionAttributeDialect

  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_PREFIX` |
    `static String` | `NAME` |
    `static int` | `PROCESSOR_PRECEDENCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpringSecurityDialect()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getDialectProcessorPrecedence()` |
    `Map<String,​Object>` | `getExecutionAttributes()` |
    `org.thymeleaf.expression.IExpressionObjectFactory` | `getExpressionObjectFactory()` |
    `String` | `getPrefix()` |
    `Set<org.thymeleaf.processor.IProcessor>` | `getProcessors​(String dialectPrefix)` |

    - ### Methods inherited from class org.thymeleaf.dialect.AbstractDialect

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.thymeleaf.dialect.IDialect

      `getName`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_PREFIX

          public static final String DEFAULT_PREFIX

      See Also:
        Constant Field Values

    - #### PROCESSOR_PRECEDENCE

          public static final int PROCESSOR_PRECEDENCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpringSecurityDialect

          public SpringSecurityDialect()

  - ### Method Detail

    - #### getPrefix

          public String getPrefix()

      Specified by:
        `getPrefix` in interface `org.thymeleaf.dialect.IProcessorDialect`

    - #### getDialectProcessorPrecedence

          public int getDialectProcessorPrecedence()

      Specified by:
        `getDialectProcessorPrecedence` in interface `org.thymeleaf.dialect.IProcessorDialect`

    - #### getProcessors

          public Set<org.thymeleaf.processor.IProcessor> getProcessors​(String dialectPrefix)

      Specified by:
        `getProcessors` in interface `org.thymeleaf.dialect.IProcessorDialect`

    - #### getExpressionObjectFactory

          public org.thymeleaf.expression.IExpressionObjectFactory getExpressionObjectFactory()

      Specified by:
        `getExpressionObjectFactory` in interface `org.thymeleaf.dialect.IExpressionObjectDialect`

    - #### getExecutionAttributes

          public Map<String,​Object> getExecutionAttributes()

      Specified by:
        `getExecutionAttributes` in interface `org.thymeleaf.dialect.IExecutionAttributeDialect`